import React from "react";
import "@testing-library/jest-dom";
import { render } from "@testing-library/react-native";
import { MoleculeSelect, ISelectProps } from "./index";

describe("[Native] MoleculeSelect", () => {
  it("rendered component", () => {
    const body = {
      items: ["1", "2", "3"],
      value: "selec one",
    };
    const component = render(<MoleculeSelect {...body} />);

    expect(component).toBeTruthy();
  });
  it("rendered component with all props", () => {
    const body: ISelectProps = {
      items: ["1", "2", "3"],
      label: "Label",
      value: "-",
      labelColor: "neutral700",
      helperText: "Helper text",
      helperTextColor: "neutral600",
      disabled: false,
    };
    const component = render(<MoleculeSelect {...body} />);

    expect(component).toBeTruthy();
  });
});
